# stg-pick(1) Manual Page

## NAME

stg-pick - Import a patch from another branch or a commit object

## SYNOPSIS

    stg pick [OPTIONS] <source>…
    stg pick [OPTIONS] [--name NAME] [--parent COMMITTISH] <source>
    stg pick [OPTIONS] --fold [--file PATH]… <source>…
    stg pick [OPTIONS] --update <source>…

## DESCRIPTION

Import one or more patches from another branch or commit object into the current series.

By default, the imported patch’s name is reused, but may be overridden with the --name option. A commit object can be reverted with the --revert option.

When using the --expose option, the format of the commit message is determined by the stgit.pick.expose-format configuration option. This option is a format string as may be supplied to the --pretty option of git-show(1). The default is "format:%B%n(imported from commit %H)", which appends the commit hash of the picked commit to the patch’s commit message.

## OPTIONS

-B <branch>
--ref-branch=<branch>

  Pick patches from <branch>

-r
--revert

  Revert the given commit object

-x
--expose

  Append the imported commit id to the patch log

--noapply

  Keep the imported patch unapplied

-n <name>
--name=<name>

  Use <name> for the patch name

-p <committish>
--parent=<committish>

  Use <committish> as parent

--committer-date-is-author-date

  Instead of using the current time as the committer date, use the author date of the commit as the committer date.

--fold

  Fold the commit object into the current patch

--update

  Like fold but only update the current patch’s files

-f <path>
--file=<path>

  Only fold the given file (may be used multiple times)

## StGit

Part of the StGit suite - see stg(1)